#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	WSGI Proxy with various HTTP client backends
Summary(pl.UTF-8):	Proxy WSGI z różnymi backendami klienta HTTP
Name:		python-WSGIProxy2
# keep 0.4.x here for python2 support
Version:	0.4.6
Release:	4
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/wsgiproxy2/
Source0:	https://files.pythonhosted.org/packages/source/W/WSGIProxy2/WSGIProxy2-%{version}.tar.gz
# Source0-md5:	cf4f45bed6ab74ad644bee58bcad4e83
URL:		https://github.com/gawel/WSGIProxy2/
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-WebOb
BuildRequires:	python-requests
BuildRequires:	python-six
BuildRequires:	python-urllib3
BuildRequires:	python-webtest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with doc}
BuildRequires:	sphinx-pdg-2
%endif
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WSGI Proxy with various HTTP client backends.

%description -l pl.UTF-8
Proxy WSGI z różnymi backendami klienta HTTP.

%package apidocs
Summary:	API documentation for Python WSGIProxy2 module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona WSGIProxy2
Group:		Documentation

%description apidocs
API documentation for Python WSGIProxy2 module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona WSGIProxy2.

%prep
%setup -q -n WSGIProxy2-%{version}

%build
%py_build

%if %{with tests}
# test_quoted_utf8_url fails with InvalidURL
nosetests-%{py_ver} wsgiproxy -e test_quoted_utf8_url
%endif

%if %{with doc}
%{__make} -C docs html \
	SPHINXBUILD=sphinx-build-2
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst COPYING README.rst
%{py_sitescriptdir}/wsgiproxy
%{py_sitescriptdir}/WSGIProxy2-%{version}-py*.egg-info

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_modules,_static,*.html,*.js}
%endif
%changelog
* Wed May 28 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-WSGIProxy2.git;a=log;h=master

* Wed May 28 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> fa98cb7
- Rel 4; python3 in python3-WSGIProxy2.spec now

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 3cf2210
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 05eaea0
- python 3.13 rebuild

* Sat Oct 28 2023 Jakub Bogusz <qboosh@pld-linux.org> d408f5b
- updated to 0.4.6

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 7b26d23
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> dc7259c
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 6a53d59
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c53522f
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 780feef
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> 800a36f
- new

